## r-cran-rentrez 1.2.0

=== DESCRIPTION ===
Package: rentrez
Version: 1.2.0
Date: 2018-02-12
Title: Entrez in R
Authors@R: c(
 person("David", "Winter", role=c("aut", "cre"), 
        email = "david.winter@gmail.com", 
        comment = c("ORCID = 0000-0002-6165-0029")),
 person("Scott", "Chamberlain", role="ctb", email = "myrmecocystus@gmail.com",
        comment = c("ORCID = 0000-0003-1444-9135")),
 person("Han","Guangchun", role=c("ctb"),email="hanguangchun@gmail.com",
        comment = c("ORCID = 0000-0001-9277-2507"))
 )
Depends: R (>= 2.6.0)
Imports: XML, httr (>= 0.5), jsonlite (>= 0.9)
Suggests: testthat, knitr, rmarkdown
URL: http://github.com/ropensci/rentrez
BugReports: https://github.com/ropensci/rentrez/issues
Description: Provides an R interface to the NCBI's EUtils API
    allowing users to search databases like GenBank and PubMed, process the
    results of those searches and pull data into their R sessions.
VignetteBuilder: knitr
License: MIT + file LICENSE
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-11 23:12:51 UTC; david
Author: David Winter [aut, cre] (ORCID = 0000-0002-6165-0029),
  Scott Chamberlain [ctb] (ORCID = 0000-0003-1444-9135),
  Han Guangchun [ctb] (ORCID = 0000-0001-9277-2507)
Maintainer: David Winter <david.winter@gmail.com>
Repository: CRAN
Date/Publication: 2018-02-12 00:15:13 UTC

## r-cran-rentrez 1.0.4

=== debian/changelog ===
r-cran-rentrez (1.0.4-1) unstable; urgency=medium

  * Initial release (closes: #844259)

 -- Andreas Tille <tille@debian.org>  Sun, 13 Nov 2016 22:04:56 +0100

=== debian/control ===
Source: r-cran-rentrez
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-cran-xml,
               r-cran-httr,
               r-cran-jsonlite
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rentrez/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rentrez/trunk/
Homepage: https://cran.r-project.org/package=rentrez

Package: r-cran-rentrez
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to the NCBI's EUtils API
 Provides an R interface to the NCBI's EUtils API allowing users to
 search databases like GenBank and PubMed, process the results of those
 searches and pull data into their R sessions.

## r-cran-rentrez 1.2.0

=== debian/changelog ===
r-cran-rentrez (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 19 Feb 2018 16:44:41 +0100

r-cran-rentrez (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Sat, 30 Sep 2017 10:43:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-xml,
                r-cran-httr,
                r-cran-jsonlite
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rentrez/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rentrez/trunk/
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rentrez.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rentrez.git
 Homepage: https://cran.r-project.org/package=rentrez
 
 Package: r-cran-rentrez

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rentrez_([-\d.]*)\.tar\.gz

## r-cran-rentrez 1.2.1

=== DESCRIPTION ===
Package: rentrez
Version: 1.2.1
Date: 2018-02-12
Title: 'Entrez' in R
Authors@R: c(
 person("David", "Winter", role=c("aut", "cre"), 
        email = "david.winter@gmail.com", 
        comment = c(ORCID = "0000-0002-6165-0029")),
 person("Scott", "Chamberlain", role="ctb", email = "myrmecocystus@gmail.com",
        comment = c(ORCID = "0000-0003-1444-9135")),
 person("Han","Guangchun", role=c("ctb"),email="hanguangchun@gmail.com",
        comment = c(ORCID = "0000-0001-9277-2507"))
 )
Depends: R (>= 2.6.0)
Imports: XML, httr (>= 0.5), jsonlite (>= 0.9)
Suggests: testthat, knitr, rmarkdown
URL: http://github.com/ropensci/rentrez
BugReports: https://github.com/ropensci/rentrez/issues
Description: Provides an R interface to the NCBI's 'EUtils' API, 
    allowing users to search databases like 'GenBank' 
    <https://www.ncbi.nlm.nih.gov/genbank/> and 'PubMed' 
    <https://www.ncbi.nlm.nih.gov/pubmed/>, process the 
    results of those searches and pull data into their R sessions.
VignetteBuilder: knitr
License: MIT + file LICENSE
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-03-04 23:40:09 UTC; david
Author: David Winter [aut, cre] (<https://orcid.org/0000-0002-6165-0029>),
  Scott Chamberlain [ctb] (<https://orcid.org/0000-0003-1444-9135>),
  Han Guangchun [ctb] (<https://orcid.org/0000-0001-9277-2507>)
Maintainer: David Winter <david.winter@gmail.com>
Repository: CRAN
Date/Publication: 2018-03-05 11:37:40 UTC

=== debian/changelog ===
r-cran-rentrez (1.2.1-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:17:28 +0200

r-cran-rentrez (1.2.1-1) unstable; urgency=medium

  * New upstream version
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 18:44:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: r-cran-rentrez
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
@@ -9,9 +9,9 @@
                r-cran-xml,
                r-cran-httr,
                r-cran-jsonlite
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-rentrez.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-rentrez.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rentrez
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rentrez.git
 Homepage: https://cran.r-project.org/package=rentrez
 
 Package: r-cran-rentrez

## r-cran-rentrez 1.2.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rentrez
-Version: 1.2.1
-Date: 2018-02-12
+Version: 1.2.2
+Date: 2019-05-02
 Title: 'Entrez' in R
 Authors@R: c(
  person("David", "Winter", role=c("aut", "cre"), 
@@ -25,10 +25,10 @@
 License: MIT + file LICENSE
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-03-04 23:40:09 UTC; david
+Packaged: 2019-05-02 01:43:03 UTC; david
 Author: David Winter [aut, cre] (<https://orcid.org/0000-0002-6165-0029>),
   Scott Chamberlain [ctb] (<https://orcid.org/0000-0003-1444-9135>),
   Han Guangchun [ctb] (<https://orcid.org/0000-0001-9277-2507>)
 Maintainer: David Winter <david.winter@gmail.com>
 Repository: CRAN
-Date/Publication: 2018-03-05 11:37:40 UTC
+Date/Publication: 2019-05-02 11:50:06 UTC

=== debian/changelog ===
r-cran-rentrez (1.2.2+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:42:25 +0000

r-cran-rentrez (1.2.2+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 12:03:26 +0200

r-cran-rentrez (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 09:17:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-xml,
                r-cran-httr,
                r-cran-jsonlite
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rentrez
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rentrez.git
 Homepage: https://cran.r-project.org/package=rentrez
+Rules-Requires-Root: no
 
 Package: r-cran-rentrez
 Architecture: all

## r-cran-rentrez 1.2.3+dfsg

=== DESCRIPTION ===
Package: rentrez
Version: 1.2.3
Date: 2020-11-06
Title: 'Entrez' in R
Authors@R: c(
 person("David", "Winter", role=c("aut", "cre"), 
        email = "david.winter@gmail.com", 
        comment = c(ORCID = "0000-0002-6165-0029")),
 person("Scott", "Chamberlain", role="ctb", email = "myrmecocystus@gmail.com",
        comment = c(ORCID = "0000-0003-1444-9135")),
 person("Han","Guangchun", role=c("ctb"),email="hanguangchun@gmail.com",
        comment = c(ORCID = "0000-0001-9277-2507"))
 )
Depends: R (>= 2.6.0)
Imports: XML, httr (>= 0.5), jsonlite (>= 0.9)
Suggests: testthat, knitr, rmarkdown
URL: https://docs.ropensci.org/rentrez/ (website)
        https://github.com/ropensci/rentrez/
BugReports: https://github.com/ropensci/rentrez/issues/
Description: Provides an R interface to the NCBI's 'EUtils' API, 
    allowing users to search databases like 'GenBank' 
    <https://www.ncbi.nlm.nih.gov/genbank/> and 'PubMed' 
    <https://pubmed.ncbi.nlm.nih.gov/>, process the 
    results of those searches and pull data into their R sessions.
VignetteBuilder: knitr
License: MIT + file LICENSE
RoxygenNote: 7.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-11-10 20:43:06 UTC; david
Author: David Winter [aut, cre] (<https://orcid.org/0000-0002-6165-0029>),
  Scott Chamberlain [ctb] (<https://orcid.org/0000-0003-1444-9135>),
  Han Guangchun [ctb] (<https://orcid.org/0000-0001-9277-2507>)
Maintainer: David Winter <david.winter@gmail.com>
Repository: CRAN
Date/Publication: 2020-11-10 21:10:02 UTC

=== debian/changelog ===
r-cran-rentrez (1.2.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 13 Nov 2020 16:52:27 +0530

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-xml,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name rentrez_tutorial.Rmd -exec chmod -x \{\} \;
	find debian -name CITATION -exec chmod -x \{\} \;

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/rentrez_([-\d.]*)\.tar\.gz

## r-cran-rentrez 1.2.4+dfsg

=== debian/changelog ===
r-cran-rentrez (1.2.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Feb 2026 13:10:41 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-xml,
                r-cran-httr,
-               r-cran-jsonlite
-Standards-Version: 4.5.0
+               r-cran-jsonlite,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rentrez
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rentrez.git
 Homepage: https://cran.r-project.org/package=rentrez
